Bug 1867220 - X.org Utility Deaggregation [NEEDINFO]
Summary: X.org Utility Deaggregation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On: 1894787 1894794 1895770 1895795 1932731 1932754 1933920 1934341
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2020-08-07 18:08 UTC by Ben Cotton
Modified: 2021-04-23 02:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-23 02:09:53 UTC
Type: ---
bcotton: needinfo? (ajax)
bcotton: needinfo? (ajax)


Attachments (Terms of Use)

Description Ben Cotton 2020-08-07 18:08:23 UTC
This is a tracking bug for Change: X.org Utility Deaggregation
For more details, see: https://fedoraproject.org/wiki/Changes/XorgUtilityDeaggregation

The collection packages xorg-x11-{apps,font-utils,resutils,server-utils,utils,xkb-utils} will be retired, and the individual utilities within them will be packaged separately.

Comment 1 Ben Cotton 2020-08-12 14:27:47 UTC
Branching F33 Change Tracker bugs.

Yesterday was the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 2 Ben Cotton 2020-08-22 00:56:47 UTC
Deferred to F34 by FESCo

Comment 3 Peter Hutterer 2020-11-13 00:57:22 UTC
xorg-x11-xkb-utils is retired now. xkbcomp and setxkbmap are available as individual packages in rawhide (F34), the other tools within that package are retired without replacement.

Comment 4 Ben Cotton 2021-02-09 14:58:44 UTC
Today we reached the Completion deadline (testable) milestone in the Fedora schedule. All approved changes should be in a testable state. If you change is testable, please indicate this by setting the status to MODIFIED.

If you need to defer the change to Fedora 35 or withdraw the change entirely, please indicate this in a comment and NEEDINFO bcotton.

The 100% code complete deadline is Tuesday 23 February. By that date, your change should be fully implemented and the tracking bug set to ON_QA.

For other Fedora 34 milestones, see https://fedorapeople.org/groups/schedule/f-34/f-34-key-tasks.html

Comment 5 Ben Cotton 2021-02-16 15:51:52 UTC
Reminder: The change complete (100% complete) deadline for Fedora 34 changes is Tuesday 23 February. At that point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA.

Comment 6 Ben Cotton 2021-02-23 16:38:06 UTC
Today is the change complete (100% complete) deadline for Fedora 34 changes. At this point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA. If you need to defer this change to Fedora 35, please set the version to 'rawhide'.

As a reminder, the Beta freeze is now in effect.

Comment 7 Ben Cotton 2021-02-24 17:10:15 UTC
FESCo has granted an extended deadline of the Fedora Linux 34 Beta release (current target date: 16 March) to implement this change.

Comment 8 Zbigniew Jędrzejewski-Szmek 2021-03-05 17:40:57 UTC
Installing dependencies:
 iceauth                  x86_64 1.0.8-1.fc34                      updates-testing        26 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 sessreg                  x86_64 1.1.2-1.fc34                      updates-testing        17 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 xgamma                   x86_64 1.0.6-1.fc34                      updates-testing        16 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 xhost                    x86_64 1.0.7-1.fc34                      updates-testing        19 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 xinput                   x86_64 1.6.3-1.fc34                      updates-testing        36 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 xkill                    x86_64 1.0.5-1.fc34                      updates-testing        17 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 xmodmap                  x86_64 1.0.9-1.fc34                      updates-testing        30 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 xrandr                   x86_64 1.5.1-1.fc34                      updates-testing        45 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 xrdb                     x86_64 1.1.1-1.fc34                      updates-testing        28 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 xrefresh                 x86_64 1.0.6-1.fc34                      updates-testing        16 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 xset                     x86_64 1.2.4-1.fc34                      updates-testing        27 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 xsetroot                 x86_64 1.1.2-1.fc34                      updates-testing        19 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34
 xstdcmap                 x86_64 1.0.4-1.fc34                      updates-testing        17 k
     replacing  xorg-x11-server-utils.x86_64 7.7-38.fc34

One part seems to be done!

Comment 9 Peter Hutterer 2021-04-23 02:09:53 UTC
All the packages are now in stable, closing. Yay!


Note You need to log in before you can comment on or make changes to this bug.